<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.formEngine.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="java.util.*" %>
<%@ include file="/xml/formEngine2/sessionInfo2.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>

<%
    BdJsFunc bdJsFunc = new BdJsFunc();
    int i = 0;
    int iLen = 0;
    ArrayList list = bdJsFunc.getList();
    String sObject = SzConvert.toZeroStr(request.getParameter("Object"));
%>
<!-----上面的工具栏------>
<table width="100%">
  <form name="formBar" method="post">
  <input type="hidden" name="name" value="">
  <input type="hidden" name="Object" value="<%=sObject%>">
  <tr>
    <td>
    js函数选择，请根据实际情况修改参数
    </td>
  </tr>
  </form>
</table>

<!-----信息列表----->
<table width="100%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
  <form name="formList" method="post">

  <tr class="trClassTitle">
    <td>名称</td>
    <td>函数中文名</td>
    <td>函数调用模板</td>  
    <td width="40">操作</td>
  </tr>
<%
		String temp = "";
		String str[]=null;
		iLen = list.size();
		int j = 0;
    for (i=0; i<iLen; i++ ) {
    	str = (String[])list.get(i);
    	j++;
    	str[3] = str[3].replaceAll("'","‘");
%>
  <tr onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <td><%=str[0]%>&nbsp;</td>
    <td><%=str[1]%>&nbsp;</td>
    <td><%=str[3]%>&nbsp;</td>        
    <td width="30"><a href="#"  OnClick="javascript:Save('<%=str[3]%>');">确定</a></td>
  </tr>
<%
    }

    out.println(SzPageHelp.outIndexTableTr(j, SzProperties.I_PageSize, 4));
%>
  </form>
</table>

<!-----下面的工具栏------>
<script language="javascript">
  function Save(name) { 
  	//name = name.replace(/(')/g, "\'"); 
  	var vObject = formBar.Object.value;
  	if (vObject != null) {
  		var oWindow = window.dialogArguments;
  		eval("oWindow." + vObject + ".value='" + name + "';"); 
  	}
    window.close();
  }
</script>

